# PetrelPy Documentation

```{toctree}
:maxdepth: 3
:hidden:
getting-started/index.md
user-guide/index.md
reference/index.rst
contributing.md
```

:::::{grid} 1 1 2 2
:class-container: intro-grid text-center

::::{grid-item-card}
:columns: 12

PetrelPy is a CLI tool and library for getting data in and out of Petrel.

:::{image}
https://img.shields.io/badge/frank1010111--petrelpy-lightgrey?style=for-the-badge&logo=GitHub
:alt: GitHub :target: https://github.com/frank1010111/petrelpy :class:
shield-badge :::

<!-- :::{image} https://img.shields.io/badge/-Try%20It%21-orange?style=for-the-badge
:alt: Try It!
:target: getting-started/try-petrelpy.html
:class: shield-badge
::: -->

::::

::::{grid-item-card}
:link-type: doc
:link: getting-started/index

{fas}`running`

Getting started
^^^^^^^^^^^^^^^

New to _Petrel_? This won't help you. New to
_petrelpy_? Unsure what it can be used for? Check out the getting started
guides. They contain an introduction to _petrelpy's_ CLI features.

::::
:::{grid-item-card}
:link-type: doc
:link: user-guide/index

{fas}`book-open`

User guide
^^^^^^^^^^

The user guide provides in-depth documentation on library features for
_petrelpy_.

:::

:::{grid-item-card}
:link-type: doc
:link: reference/index

{fas}`code`

API reference
^^^^^^^^^^^^^

The reference guide contains a detailed description of the functions, modules,
and objects included in _petrelpy_. The reference describes how the methods work
and which parameters can be used.

:::

:::{grid-item-card}
:link: https://github.com/frank1010111/petrelpy/blob/master/CONTRIBUTING.md

{fas}`terminal`

Contributor's guide
^^^^^^^^^^^^^^^^^^^

Spotted a typo in the documentation?
Want to add to the codebase? The contributing guidelines will guide you through
the process of improving petrelpy.

:::

:::::
